Update Return Line Item
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}"
payload = {
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": True
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
stateId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
returnReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonComment: '<string>',
conditionId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
conditionComment: '<string>',
credit: true
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'stateId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'quantity' => 123,
'returnReasonId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'returnReasonComment' => '<string>',
'conditionId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'conditionComment' => '<string>',
'credit' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}"
payload := strings.NewReader("{\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"itemNumber": "<string>",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true,
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Return
Update Return Line Item
Updates a specific line item of an existing return - state, quantity, return reason and its comment, condition and its comment, and the credit flag. The state of the return is inferred from the states of its line items.
PATCH
/
v2
/
returns
/
{returnId}
/
line-items
/
{lineItemId}
Update Return Line Item
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}"
payload = {
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": True
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
stateId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
quantity: 123,
returnReasonId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
returnReasonComment: '<string>',
conditionId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
conditionComment: '<string>',
credit: true
})
};
fetch('https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'stateId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'quantity' => 123,
'returnReasonId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'returnReasonComment' => '<string>',
'conditionId' => 'b45f6432-2462-4c6f-b00f-1d9d01000000',
'conditionComment' => '<string>',
'credit' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}"
payload := strings.NewReader("{\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/returns/{returnId}/line-items/{lineItemId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"stateId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"quantity\": 123,\n \"returnReasonId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"returnReasonComment\": \"<string>\",\n \"conditionId\": \"b45f6432-2462-4c6f-b00f-1d9d01000000\",\n \"conditionComment\": \"<string>\",\n \"credit\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"stateId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"itemNumber": "<string>",
"quantity": 123,
"returnReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"returnReasonComment": "<string>",
"conditionId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"conditionComment": "<string>",
"credit": true,
"salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesOrderLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"deliveryNoteLineItemId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Headers
Path Parameters
Body
application/json
Request model for UpdateReturnLineItem command endpoint. Route parameters bind from the route, query parameters from the query string, everything else from the body.
Response
The updated line item.
Model Class: ReturnLineItem
Was this page helpful?